# ChangeLog for sys-devel/gcc-config
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc-config/ChangeLog,v 1.125 2006/04/03 01:05:59 vapier Exp $

  03 Apr 2006; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.13:
  Generate a CTARGET-cpp wrapper if need be.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  gcc-config-1.3.13-r1.ebuild:
  Add ~x86-fbsd keyword.

  28 Mar 2006; Jeremy Huddleston <eradicator@gentoo.org>
  gcc-config-2.0.0_beta2.ebuild:
  Added to ~ppc64.

  26 Mar 2006; Bryan Østergaard <kloeri@gentoo.org
  gcc-config-1.3.13-r1.ebuild:
  Stable on alpha, bug 125810.

  19 Mar 2006; Luis Medinas <metalgod@gentoo.org>
  gcc-config-1.3.13-r1.ebuild:
  Stable on amd64. Bug #125810.

  17 Mar 2006; Jeroen Roovers <jer@gentoo.org> gcc-config-1.3.13-r1.ebuild:
  Stable on hppa (bug #125810).

  17 Mar 2006; Chris White <chriswhite@gentoo.org>
  gcc-config-1.3.13-r1.ebuild:
  ppc stable for 1.3.13-r1 per bug #125810.

  16 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  gcc-config-1.3.13-r1.ebuild:
  Stable on sparc wrt #125810

  14 Mar 2006; Joshua Jackson <tsunam@gentoo.org>
  gcc-config-1.3.13-r1.ebuild:
  Stable on x86; bug #125810

  12 Mar 2006; Markus Rothe <corsair@gentoo.org>
  gcc-config-1.3.13-r1.ebuild:
  Stable on ppc64; bug #125810

*gcc-config-1.3.13-r1 (08 Jan 2006)
*gcc-config-1.3.12-r6 (08 Jan 2006)

  08 Jan 2006; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12,
  files/gcc-config-1.3.13, -gcc-config-1.3.12-r5.ebuild,
  +gcc-config-1.3.12-r6.ebuild, -gcc-config-1.3.13.ebuild,
  +gcc-config-1.3.13-r1.ebuild:
  Ignore directores in /etc/env.d/gcc #118246 by Mark Purtill.

*gcc-config-1.3.12-r5 (05 Jan 2006)

  05 Jan 2006; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12,
  files/gcc-config-1.3.13, -gcc-config-1.3.12-r4.ebuild,
  +gcc-config-1.3.12-r5.ebuild:
  Fix changing of profiles when using ROOT and a different CHOST.

*gcc-config-1.3.13 (30 Dec 2005)

  30 Dec 2005; Mike Frysinger <vapier@gentoo.org> +files/gcc-config-1.3.13,
  +gcc-config-1.3.13.ebuild:
  Fix multilib copying of libraries #95622 by Diego Pettenò and restore
  copying of libgcc_s/libunwind when run from inside portage by using the mv
  instead of cp method of updating the libraries.

  27 Dec 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12,
  gcc-config-1.3.12-r4.ebuild:
  Use get_libdir #114633 by Patrick McLean.

*gcc-config-1.3.12-r4 (19 Nov 2005)

  19 Nov 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12,
  +gcc-config-1.3.12-r4.ebuild:
  Add support for selecting profiles by version only.

*gcc-config-1.3.12-r3 (01 Nov 2005)

  01 Nov 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12,
  +gcc-config-1.3.12-r3.ebuild:
  Make sure we set env vars before trying to use them #111022 by Attila Stehr.

*gcc-config-2.0.0_beta2 (02 Oct 2005)

  02 Oct 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -gcc-config-2.0.0_beta1.ebuild, +gcc-config-2.0.0_beta2.ebuild:
  Version bump with more backwards compat support (-B, -L, and -X).

*gcc-config-2.0.0_beta1 (01 Oct 2005)

  01 Oct 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +gcc-config-2.0.0_beta1.ebuild:
  Added gcc-config wrapper for beta version of eselect-compiler. It still
  needs to be cleaned up a bit, but it's functional, so putting it into
  portage (package.mask still of course).

  18 Sep 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12:
  Add support for spaces in make.conf settings #105855.

  16 Sep 2005; Aron Griffis <agriffis@gentoo.org>
  gcc-config-1.3.12-r2.ebuild:
  Mark 1.3.12-r2 stable on alpha

  13 Sep 2005; <dang@gentoo.org> gcc-config-1.3.12-r2.ebuild:
  Marked stable on amd64

  07 Sep 2005; Aaron Walker <ka0ttic@gentoo.org>
  gcc-config-1.3.12-r2.ebuild:
  Stable on mips.

  03 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  gcc-config-1.3.12-r2.ebuild:
  Stable on ppc.

  03 Sep 2005; Markus Rothe <corsair@gentoo.org>
  gcc-config-1.3.12-r2.ebuild:
  Stable on ppc64

  01 Sep 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  gcc-config-1.3.12-r2.ebuild:
  Stable on sparc

  25 Aug 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.12:
  Update list output to show the active version for all targets.

  09 Aug 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -files/gcc-config-1.4.0, -gcc-config-1.4.0.ebuild:
  Killing 1.4.0.  Working on gcc-config-2.0 in gentoo/src/toolchain/gcc-config.

*gcc-config-1.3.12-r2 (05 Aug 2005)

  05 Aug 2005; Martin Schlemmer <azarah@gentoo.org> files/gcc-config-1.3.12,
  +gcc-config-1.3.12-r2.ebuild:
  Fix long option for -S (--split-profile).

*gcc-config-1.3.12-r1 (04 Aug 2005)

  04 Aug 2005; Mike Frysinger <vapier@gentoo.org> +files/wrapper-1.4.7.c,
  +gcc-config-1.3.12-r1.ebuild:
  Clean up the wrapper a bit.

*gcc-config-1.3.12 (09 Jul 2005)

  09 Jul 2005; Mike Frysinger <vapier@gentoo.org> +files/gcc-config-1.3.12,
  +gcc-config-1.3.12.ebuild:
  Add support for parsing profile names so we can use it in toolchain.eclass.

*gcc-config-1.3.11-r4 (07 Jul 2005)

  07 Jul 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.11,
  files/wrapper-1.4.6.c, +gcc-config-1.3.11-r4.ebuild:
  Make sure the f77 wrapper is installed/run properly for g77 #97437 by John
  C. Vernaleo.

  17 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gcc-config-1.3.10-r1.ebuild, gcc-config-1.3.10-r2.ebuild,
  gcc-config-1.3.11-r3.ebuild, gcc-config-1.4.0.ebuild:
  Removed portage from deps, as this solves a perl/openssl circular dependency.

*gcc-config-1.3.11-r3 (13 Jun 2005)

  13 Jun 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.11,
  +gcc-config-1.3.11-r3.ebuild:
  Make sure that -c errors out if given an invalid TARGET.

*gcc-config-1.3.11-r2 (07 Jun 2005)

  07 Jun 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.11,
  -gcc-config-1.3.11-r1.ebuild, +gcc-config-1.3.11-r2.ebuild:
  Make sure we support funky version strings (beta823942) and custom specs
  (hardened).

*gcc-config-1.3.11-r1 (07 Jun 2005)

  07 Jun 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.11,
  -gcc-config-1.3.11.ebuild, +gcc-config-1.3.11-r1.ebuild:
  Cleanup the CHOST-GCCVER parsing so it isnt so fragile (and works with BSD
  hosts).

*gcc-config-1.3.11 (06 Jun 2005)

  06 Jun 2005; Mike Frysinger <vapier@gentoo.org> +files/gcc-config-1.3.11,
  +gcc-config-1.3.11.ebuild:
  If python is broken due to libstdc++ changes or whatever, make sure
  gcc-config still works somewhat sanely.

  10 Apr 2005; Joseph Jezak <josejx@gentoo.org> gcc-config-1.3.10-r2.ebuild:
  Marked ppc stable.

  09 Apr 2005; Markus Rothe <corsair@gentoo.org>
  gcc-config-1.3.10-r2.ebuild:
  Stable on ppc64

  01 Apr 2005; Aron Griffis <agriffis@gentoo.org> gcc-config-1.3.10-r2.ebuild:
  stable on ia64

*gcc-config-1.3.10-r2 (31 Mar 2005)

  31 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +gcc-config-1.3.10-r2.ebuild:
  Don't spit out -m64 warnings.  Closes bug #87130.

  19 Mar 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.8,
  files/gcc-config-1.3.10, files/gcc-config-1.4.0:
  Make sure we copy libunwind in addition to libgcc_s (for ia64 and such).
  Also dont copy internal gcc libs while portage is calling us (causes python
  to segfault and crap).

  17 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  gcc-config-1.3.10-r1.ebuild:
  Stable on sparc so the stable sparc gcc doesn't give the (ignorable) warning
  about the config being broken.

  04 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  files/gcc-config-1.4.0:
  Changing CTARGET_ALIASES to FAKE_TARGETS for consistency with binutils.

  04 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -files/fake-ctarget.sh, files/gcc-config-1.4.0, gcc-config-1.4.0.ebuild:
  Cleaned up 1.4.0 a bit. Got rid of the stupid fake-ctarget.sh stuff and
  added smarter logic for that into the gcc-config script. Still in
  package.mask as it hits a sandbox bug.

*gcc-config-1.4.0 (19 Feb 2005)

  19 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/fake-ctarget.sh, -files/gcc-config-1.3.9, +files/gcc-config-1.4.0,
  -files/wrapper-1.4.4.c, +files/wrapper-1.4.6.c,
  gcc-config-1.3.10-r1.ebuild, -gcc-config-1.3.9.ebuild,
  +gcc-config-1.4.0.ebuild:
  1.3.10-r1 stable on amd64. Removing 1.3.9. Adding 1.4.0 which adds support
  for creating ctarget aliases based on the GCC_CTARGET_ALIASES variable in
  the /etc/env.d/gcc/ config file. This is setup automatically on multilib
  profiles with recent gcc emerges.

  01 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  gcc-config-1.3.10-r1.ebuild:
  Done testing.  Releasing into ~arch.

*gcc-config-1.3.10-r1 (31 Jan 2005)

  31 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  files/gcc-config-1.3.10, +gcc-config-1.3.10-r1.ebuild,
  -gcc-config-1.3.10.ebuild:
  Make gcc-config support gcc version strings containing '-'.  This allows for
  wider multislot support.

*gcc-config-1.3.10 (30 Jan 2005)

  30 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/gcc-config-1.3.10, +files/wrapper-1.4.5.c,
  +gcc-config-1.3.10.ebuild:
  Multilib fixes. Copies libgcc_s.so* to the correct location for all abis.
  Allows command line args to override ${ABI}. This should resolve bugs #78306
  and #78652.

  23 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  gcc-config-1.3.8-r4.ebuild, gcc-config-1.3.9.ebuild:
  Make sure old gcc-configs dont exist #79062.

  20 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  gcc-config-1.3.9.ebuild:
  Stable on amd64 ahead of everyone else because its multilib goodies are
  required for 2005.0.

*gcc-config-1.3.8-r4 (05 Jan 2005)

  05 Jan 2005; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.8,
  -gcc-config-1.3.8-r3.ebuild, +gcc-config-1.3.8-r4.ebuild:
  Make sure that when we switch compilers, we dont accidently invalidate all
  of our ccache data #70548.

  03 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*gcc-config-1.3.9 (27 Dec 2004)

  27 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  files/gcc-config-1.3.9, +files/wrapper-1.4.4.c, +gcc-config-1.3.9.ebuild:
  Rolling in support for CFLAGS_${ABI}. Rolling g{cc,++}{32,64} support into
  the wrapper.

*gcc-config-1.3.8-r3 (24 Dec 2004)
*gcc-config-1.3.8-r2 (24 Dec 2004)
*gcc-config-1.3.8-r1 (24 Dec 2004)

  24 Dec 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.8,
  +gcc-config-1.3.8-r1.ebuild, -gcc-config-1.3.8.ebuild:
  Seems people still have outdated gcc versions installed which break with
  GCC_SPECS="". Add a warning if their gcc is broken so they know they have to
  re-emerge gcc.

*gcc-config-1.3.8 (23 Dec 2004)

  23 Dec 2004; Mike Frysinger <vapier@gentoo.org>:
  Make sure GCC_SPECS doesn't hang around when switching between profiles. 
  Copy libgcc_s.so to /lib (since some systems link files in /bin against it). 
  Make sure the wrapper can locate cross-compilers via /etc/env.d files when 
  the active environment is empty.

*gcc-config-1.3.7-r6 (08 Dec 2004)

  08 Dec 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.7,
  files/wrapper-1.4.2.c, -gcc-config-1.3.7-r5.ebuild,
  +gcc-config-1.3.7-r6.ebuild:
  Portability patch #73617 by Sunil.

*gcc-config-1.3.7-r5 (05 Dec 2004)

  05 Dec 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.7,
  -gcc-config-1.3.7-r4.ebuild, +gcc-config-1.3.7-r5.ebuild:
  Err, we want to handle GCC_SPECS, not GCC_CONFIG. Also make sure duplicate
  paths arent duplicated in LDPATH now that gcc is exporting multiple spec
  files per ebuild.

*gcc-config-1.3.7-r4 (03 Dec 2004)

  03 Dec 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.7,
  -gcc-config-1.3.7-r3.ebuild, +gcc-config-1.3.7-r4.ebuild:
  Make sure GCC_CONFIG is taken only from the selected profile.

*gcc-config-1.3.7-r3 (02 Dec 2004)

  02 Dec 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.7,
  -gcc-config-1.3.7-r2.ebuild, +gcc-config-1.3.7-r3.ebuild:
  Version bump to add a lot of cross-compile fixes. Also perform sanity
  checking on GCC_SPECS #68799, dont create wrappers in the ebuild #72745, and
  dont install /lib/cpp unless the system supports C++.

*gcc-config-1.3.7-r2 (28 Nov 2004)

  28 Nov 2004; Travis Tilley <lv@gentoo.org> files/gcc-config-1.3.6,
  files/gcc-config-1.3.7, -gcc-config-1.3.6-r3.ebuild,
  +gcc-config-1.3.6-r4.ebuild, -gcc-config-1.3.7-r1.ebuild,
  +gcc-config-1.3.7-r2.ebuild:
  Fixed Bug 72557, where gcc-config would get very confused with non-gcc-lib
  ldpaths

  26 Oct 2004; Martin Schlemmer <azarah@gentoo.org> +files/wrapper-1.4.3.c:
  Add GCCBITS support to wrapper.

*gcc-config-1.3.7-r1 (25 Oct 2004)

  25 Oct 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.7:
  Make sure umask doesn't screw up the install #68699.  Run gcc-config from 
  $S instead of expecting $PATH to contain something functional #68700.  
  Move the 32bit/64bit wrapper logic out of toolchain.eclass and into 
  gcc-config via GCCBITS.

*gcc-config-1.3.7 (13 Oct 2004)

  13 Oct 2004; Mike Frysinger <vapier@gentoo.org> +files/gcc-config-1.3.7,
  +gcc-config-1.3.7.ebuild:
  Better invalid arg handling, list profiles even if you dont have a current
  one, support $ROOT, dont export CC/CXX, create g77 wrappers alongside f77,
  and general touchups.

  10 Oct 2004; Tom Gall <tgall@gentoo.org> gcc-config-1.3.6-r3.ebuild:
  stable on ppc64

*gcc-config-1.3.6-r3 (05 Oct 2004)

  05 Oct 2004; Travis Tilley <lv@gentoo.org> files/gcc-config-1.3.6,
  -gcc-config-1.3.6-r2.ebuild, +gcc-config-1.3.6-r3.ebuild:
  fixed the handling of GCC_SPECS-specific gcc configs

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org>
  gcc-config-1.3.6-r2.ebuild:
  Stable on alpha.

*gcc-config-1.3.6-r2 (02 Oct 2004)

  02 Oct 2004; Travis Tilley <lv@gentoo.org> files/gcc-config-1.3.6,
  files/gcc-config-1.4, files/gcc-config-1.4.1, -gcc-config-1.3.6-r1.ebuild,
  +gcc-config-1.3.6-r2.ebuild:
  added the fix for bug 63973

  28 Sep 2004; Sven Wegener <swegener@gentoo.org> files/wrapper-1.4.c,
  files/wrapper.c:
  Gentoo Technologies, Inc. -> Gentoo Foundation

  25 Sep 2004; Joshua Kinard <kumba@gentoo.org> gcc-config-1.3.6-r1.ebuild:
  Marked stable on mips.

  31 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  gcc-config-1.3.6-r1.ebuild:
  Stable on sparc

  26 Aug 2004; Travis Tilley <lv@gentoo.org> gcc-config-1.3.6-r1.ebuild:
  stable on amd64

  25 Aug 2004; <solar@gentoo.org> gcc-config-1.3.6-r1.ebuild:
  marked gcc-config-1.3.6-r1 stable on x86 and arm

*gcc-config-1.3.6-r1 (24 Jul 2004)

  24 Jul 2004; Martin Schlemmer <azarah@gentoo.org> files/gcc-config-1.3.6,
  +gcc-config-1.3.6-r1.ebuild:
  Some cleanup that remove use of which from ferret <james.noble@worc.ox.ac.uk>,
  bug #55262.

  02 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  gcc-config-1.3.3-r1.ebuild, gcc-config-1.3.3-r2.ebuild,
  gcc-config-1.3.4.ebuild, gcc-config-1.3.5-r1.ebuild,
  gcc-config-1.3.5.ebuild, gcc-config-1.3.6.ebuild:
  virtual/glibc -> virtual/libc

  19 Jun 2004; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.5.ebuild:
  Mark stable for all.

*gcc-config-1.3.6 (19 Jun 2004)

  19 Jun 2004; Martin Schlemmer <azarah@gentoo.org> +files/gcc-config-1.3.6,
  +gcc-config-1.3.6.ebuild:
  Make sure we cleanup stale wrappers, bug #36388.

  11 Jun 2004; Bryan Østergaard <kloeri@gentoo.org>
  gcc-config-1.3.5-r1.ebuild:
  Stable on alpha.

  02 Jun 2004; Travis Tilley <lv@gentoo.org> gcc-config-1.3.5-r1.ebuild:
  stable on amd64

  10 May 2004; Michael McCabe <randy@gentoo.org> gcc-config-1.3.5-r1.ebuild:
  Stable on s390

*gcc-config-1.3.5-r1 (06 May 2004)

  06 May 2004; Mike Frysinger <vapier@gentoo.org> files/gcc-config-1.3.5,
  files/gcc-config-1.3.5-multi-ldpath, gcc-config-1.3.5.ebuild,
  +gcc-config-1.3.5-r1.ebuild:
  Clean up the help output, add support for -v|--version and -h|--help options,
  and then add the version to the gcc-config after installing.
  Unify the multi-ldpath crap since there are no real differences between
  the two to fix #29950 by Brad House.
  Add environment printing fix #48492 by splite.

*gcc-config-1.3.5 (08 Feb 2004)

  08 Feb 2004; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.5.ebuild,
  files/gcc-config-1.3.5, files/wrapper-1.4.2.c:
  Update wrapper to also treat symlinks as valid targets - this fixes a problem
  where $CHOST-gcc called the symlink, and not the proper binary. Also fix a few
  issues where we used data->tmp as they can cause possible corruption when used
  in recursive calls and child functions.  Closes bug #39162.

*gcc-config-1.3.4 (18 Nov 2003)

  18 Nov 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.4.ebuild,
  files/gcc-config-1.3.4, files/gcc-config-1.3.4-multi-ldpath:
  I did not use REAL_CHOST in all cases, ending up with /usr/bin/-gcc, etc
  files, as CHOST was not set.

*gcc-config-1.3.3-r2 (18 Oct 2003)

  18 Oct 2003; Brad House <brad_mssw@gentoo.org> gcc-config-1.3.3-r2.ebuild,
  files/gcc-config-1.3.3-multi-ldpath:
  necessary gcc-config changes made for amd64 and 3.3.1-r5. Marked -* ~amd64

  11 May 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.3-r1 :
  Mark stable for all, as if fixes a few bugs.

*gcc-config-1.3.3-r1 (28 Apr 2003)

  28 Apr 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.3-r1,
  gcc-config-1.3.3 :
  Update gcc-config-1.3.3 to use the absolute path to portageq, else it
  breaks things.  Thanks to Spider <spider@gentoo.org> for noticing this.

  12 Apr 2003; Martin Schlemmer <azarah@gentoo.org> files/wrapper-1.4.1.c :
  Update wrapper as I suggested in bug #18933 to be able to handle cross
  compiler frontends ...

*gcc-config-1.3.3 (12 Apr 2003)

  12 Apr 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.3.ebuild,
  files/gcc-config-1.3.3, files/wrapper-1.4.1.c :
  New version:
  - Update the wrapper to scan /etc/env.d/05gcc for PATH, and then append this
    to caller name if successful.  This should improve speed much if PATH is
    not setup properly, as we do not have to run gcc-config ...  This is a
    much better solution for bug #18766.
  - Add short options to gcc-config, closing bug #13005.
  - Add the ability to choose the profile by a number, as listed by running
    'gcc-config --list-profiles', closing bug #13005.

*gcc-config-1.3.2 (08 Apr 2003)

  08 Apr 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.2.ebuild,
  files/gcc-config-1.3.2, files/gcc-config-1.4.1 :
  Add speed optimization patch from Aron Griffis <agriffis@gentoo.org>. 
  Basically we only get the CHOST from portage if needed ... closes bug #18766.
  Use wrapper-1.4.c ...

*gcc-config-1.3.1-r1 (06 Apr 2003)

  06 Apr 2003; Zach Welch <zwelch@gentoo.org> gcc-config-1.3.1-r1.ebuild,
  gcc-config-1.3.1.ebuild, files/gcc-config-1.3.1, files/gcc-config-1.4.1 :
  change return to exit in gcc-config script, and minor fix for distcc
   and cross-compiling compatibility.
  Note: The latest gcc-config-1.4 is almost ready for production, but
   these changes are still too experimental to commit an ebuild.  Even
   so, I am also updating the gcc-config script to reflect the latest
   status.  Still no ebuild for now.

  23 Feb 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.4,
                                                    wrapper-1.4.c :
  - Add gcc-config-1.4 with '--install-toolchain' support written by
    Zach Welch <zwelch@gentoo.org>.  I am not 100% sure on the status
    on this, so not adding a ebuild for now.
  - Add wrapper-1.4.c that is borken up in functions.  This is also
    thanks to Zach Welch <zwelch@gentoo.org>.  I also tweaked it to
    modify PATH by appending gcc's bin path to it ... this should
    speed up calls gcc does to its tools.  I also fixed a few possible
    memory leaks.

  19 Feb 2003; Guy Martin <gmsoft@gneoot.org> gcc-config-1.3.1.ebuild :
  Changed ~hppa to hppa.

*gcc-config-1.3.1 (19 Jan 2003)

  28 Mar 2003; Christian Birchinger <joker@gentoo.org>
  gcc-config-1.3.1.ebuild:
  Added stable sparc keyword

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> gcc-config-1.3.1.ebuild :
  Changed mips keyword to stable.

  21 Feb 2003; Aron Griffis <agriffis@gentoo.org> gcc-config-1.3.1.ebuild :
  Mark stable on alpha

  18 Feb 2003;  Zach Welch <zwelch@gentoo.org> gcc-config-1.3.1.ebuild :
  Add stable for arm
  
  18 Feb 2003;  Seemant <seemant@gentoo.org> gcc-config-1.3.1.ebuild :
  moved to stable for x86

  19 Feb 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.1 :

  Some tweaks to try minimize subshells.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> gcc-config-1.2.7.ebuild :
  
  Added hppa keyword to gcc-config-1.2.7.ebuild and ~hppa keyword on
  latests versions up to gcc-config-1.3.1.ebuild.

  14 Feb 2003; Mark Guertin <gerk@gentoo.org> gcc-config-1.3.1.ebuild :
  added ppc to keywords

  19 Jan 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.1.ebuild :

  Use the 'which' command to find commands if present to give a bit of a
  speedup.  Display a warning about sourcing /etc/profile if you change the
  default profile to stop confusion.

  Fix a segfault in wrapper.c if $PATH is not set.  Many thanks to
  Eric Andresen <ndiin1@cox.net> for reporting this.

  19 Jan 2003; Martin Schlemmer <azarah@gentoo.org> wrapper.c :

  Fix to check if '/gcc-bin/' in full name of called gcc, once again thanks
  to feedback from Eric Andresen <ndiin1@cox.net>.

*gcc-config-1.3.0 (16 Jan 2003)

  16 Jan 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.3.0.ebuild :

  Set argv[0] to the correct binary, else gcc do not find internal
  headers, etc (bug #8132).  Fixed files/wrapper.c for this.

*gcc-config-1.2.9 (15 Jan 2003)

  15 Jan 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.9.ebuild :

  Fix wrapper calling cc-config.

*gcc-config-1.2.8 (15 Jan 2003)

  15 Jan 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.8.ebuild :

  Add C wrapper to call the real binaries.

  02 Jan 2003; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.7.ebuild :

  Update usage screen to be more compact.  Also should be more consistant
  with other unix tools.  Bug #13005.

*gcc-config-1.2.7 (25 Dec 2002)

  06 Jan 2003; Jan Seidel <tuxus@gentoo.org> gcc-config-1.2.7.ebuild :
  Added mips to keywords.

  25 Dec 2002; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.7.ebuild :

  Add colorgcc support, partly a fix for bug #12689.

*gcc-config-1.2.6 (23 Dec 2002)

  24 Dec 2002; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.6.ebuild :

  In some cases we have an old /usr/bin/cpp binary that was not unmerged from
  non multi arch/version scheme gcc's.  If so, backup it, and replace with a
  wrapper script.

*gcc-config-1.2.5 (23 Dec 2002)

  23 Dec 2002; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.5.ebuild :

  Add --print-environ switch.  Add /usr/bin/cpp wrapper.  Fix the wrapper
  to setup PATH if it cannot find cpp, or if 'which cpp' give /usr/bin/cpp.

  17 Dec 2002; Martin Schlemmer <azarah@gentoo.org> gcc-config-1.2.4 :

  Do not add a LDPATH if the directory do not exist.

*gcc-config-1.2.4 (16 Dec 2002)

  16 Dec 2002; Martin Schlemmer <azarah@gentoo.org> :

  More fixes for wrappers.

*gcc-config-1.2.3 (16 Dec 2002)

  16 Dec 2002; Martin Schlemmer <azarah@gentoo.org> :

  Regenerate /lib/cpp and /usr/bin/cc if they do not exist, or
  are symlinks ..  Run gcc-config in pkg_postinst().

*gcc-config-1.2.2 (16 Dec 2002)

  16 Dec 2002; Martin Schlemmer <azarah@gentoo.org> :

  Update to handle wrappers used for /lib/cpp and /usr/bin/cc in
  new gcc ebuilds.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*gcc-config-1.2.1 (27 Nov 2002)

  27 Nov 2002; Martin Schlemmer <azarah@gentoo.org> :

  Update to only biatch about not being root if the user
  tries to change the system profile, thanks rphillips!

*gcc-config-1.2 (10 Nov 2002)

  10 Nov 2002; Martin Schlemmer <azarah@gentoo.org> :

  Include all LDPATH's for this CHOST in /etc/ld.so.conf.
  Add --use-portage-chost option so that it will only change
  gcc profile if CHOST is same as that of make.conf.

*gcc-config-1.1 (10 Nov 2002)

  10 Nov 2002; Martin Schlemmer <azarah@gentoo.org> :

  New version with lots of options, and help.

*gcc-config-1.0 (28 Oct 2002)

  28 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :

  Initial version.

